Always get this error when trying to update, but only with

Always get this error when trying to update, but only with this plugin:

An error occurred while updating WPMU DEV Dashboard: Could not remove the old plugin.

Since this happens every time, I've tried erasing it and installing fresh, but that hasn't helped.